> ## Documentation Index
> Fetch the complete documentation index at: https://doc.extole.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Execute report runner for the specified id. Will return existing report if there is any currently in progress or generate a new one otherwise.



## OpenAPI

````yaml /api-reference/management-expert.json post /v6/report-runners/{reportRunnerId}/run
openapi: 3.0.1
info:
  description: >-
    Advanced configuration endpoints for Extole platform experts: campaign
    controllers, typed actions and triggers, advanced component types and
    facets, source mapping, report post-handlers, pre-handlers, and other expert
    configuration surfaces not included in the standard Management API.
  title: Management Expert API
  version: '1.0'
servers:
  - description: Production
    url: https://api.extole.io
security:
  - HEADER: []
  - QUERY: []
  - COOKIE: []
tags:
  - name: Authentication
  - name: Campaign Controllers
  - name: Campaign Controllers Actions
  - name: Campaign Controllers Triggers
  - name: Campaign Flow Steps
  - name: Components
  - name: Components Grants
  - name: Components Subscriptions
  - name: Components Types
  - name: Content
  - name: Debug
  - name: Domains
  - name: Email
  - name: Event Prehandlers
  - name: Events
  - name: Javascript Core Extensions
  - name: Persons
  - name: Profiles
  - name: Report Schedules
  - name: Report Types
  - name: Reporting
  - name: Security Keys
  - name: Settings
paths:
  /v6/report-runners/{reportRunnerId}/run:
    post:
      tags:
        - Report Schedules
      summary: >-
        Execute report runner for the specified id. Will return existing report
        if there is any currently in progress or generate a new one otherwise.
      operationId: run_2
      parameters:
        - description: The Extole unique report runner identifier.
          in: path
          name: reportRunnerId
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            example:
              slot: slot
            schema:
              $ref: '#/components/schemas/ReportRunnerSlotsRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BaseReportRunnerReportResponse'
          description: Successful response
        '400':
          content:
            application/json:
              examples:
                binding_error:
                  $ref: '#/components/examples/binding_error'
                invalid_json:
                  $ref: '#/components/examples/invalid_json'
                invalid_parameter:
                  $ref: '#/components/examples/invalid_parameter'
                missing_request_body:
                  $ref: '#/components/examples/missing_request_body'
                report_display_name_empty:
                  $ref: '#/components/examples/report_display_name_empty'
                report_display_name_too_long:
                  $ref: '#/components/examples/report_display_name_too_long'
                report_invalid_formats:
                  $ref: '#/components/examples/report_invalid_formats'
                report_invalid_operation:
                  $ref: '#/components/examples/report_invalid_operation'
                report_invalid_parameter:
                  $ref: '#/components/examples/report_invalid_parameter'
                report_invalid_scopes:
                  $ref: '#/components/examples/report_invalid_scopes'
                report_invalid_sftp_server:
                  $ref: '#/components/examples/report_invalid_sftp_server'
                report_missing_aggregation_parameter:
                  $ref: '#/components/examples/report_missing_aggregation_parameter'
                report_missing_parameters:
                  $ref: '#/components/examples/report_missing_parameters'
                report_name_illegal_character:
                  $ref: '#/components/examples/report_name_illegal_character'
                report_runner_invalid_parameter:
                  $ref: '#/components/examples/report_runner_invalid_parameter'
                report_runner_invalid_slot:
                  $ref: '#/components/examples/report_runner_invalid_slot'
                report_runner_no_execution_time_range:
                  $ref: '#/components/examples/report_runner_no_execution_time_range'
                report_runner_paused:
                  $ref: '#/components/examples/report_runner_paused'
                report_runner_slots_not_supported:
                  $ref: '#/components/examples/report_runner_slots_not_supported'
                report_tags_too_long:
                  $ref: '#/components/examples/report_tags_too_long'
                report_type_missing:
                  $ref: '#/components/examples/report_type_missing'
                report_update_invalid:
                  $ref: '#/components/examples/report_update_invalid'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              examples:
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unauthorized
        '402':
          content:
            application/json:
              examples:
                payment_required:
                  $ref: '#/components/examples/payment_required'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Payment Required
        '403':
          content:
            application/json:
              examples:
                access_denied:
                  $ref: '#/components/examples/access_denied'
                method_unauthorized:
                  $ref: '#/components/examples/method_unauthorized'
                missing_access_token:
                  $ref: '#/components/examples/missing_access_token'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Forbidden
        '415':
          content:
            application/json:
              examples:
                unsupported_media_type:
                  $ref: '#/components/examples/unsupported_media_type'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Unsupported Media Type
        '429':
          content:
            application/json:
              examples:
                too_many_requests:
                  $ref: '#/components/examples/too_many_requests'
              schema:
                $ref: '#/components/schemas/RestExceptionResponse'
          description: Too Many Requests
components:
  schemas:
    ReportRunnerSlotsRequest:
      properties:
        slot:
          type: string
      required:
        - slot
      type: object
    BaseReportRunnerReportResponse:
      discriminator:
        mapping:
          EXECUTED:
            $ref: '#/components/schemas/IndividualReportRunnerReportResponse'
          NEW_ENTRIES:
            $ref: '#/components/schemas/NewEntriesOnlyReportRunnerReportResponse'
          NOT_EXECUTED:
            $ref: '#/components/schemas/NotExecutedReportRunnerReportResponse'
          ROLLING:
            $ref: '#/components/schemas/AccumulatingReportRunnerReportResponse'
        propertyName: type
      oneOf:
        - title: EXECUTED
          allOf:
            - $ref: '#/components/schemas/IndividualReportRunnerReportResponse'
        - title: NEW_ENTRIES
          allOf:
            - $ref: '#/components/schemas/NewEntriesOnlyReportRunnerReportResponse'
        - title: NOT_EXECUTED
          allOf:
            - $ref: '#/components/schemas/NotExecutedReportRunnerReportResponse'
        - title: ROLLING
          allOf:
            - $ref: '#/components/schemas/AccumulatingReportRunnerReportResponse'
      required:
        - display_name
        - name
        - parameters
        - report_type
        - slot
        - tags
        - type
    RestExceptionResponse:
      description: Represents the API error response
      properties:
        code:
          description: Specific error code for this error type, documented per endpoint
          type: string
        http_status_code:
          description: >-
            HTTP status code that was returned with this error, useful if client
            get response code
          format: int32
          type: integer
        message:
          description: User readable English description of the error
          type: string
        parameters:
          additionalProperties:
            description: >-
              Attributes related to the error, varies be error code, documented
              per endpoint
            type: object
          description: >-
            Attributes related to the error, varies be error code, documented
            per endpoint
          type: object
        unique_id:
          description: >-
            Unique id associated with this error, useful for discussions with
            Extole
          type: string
      required:
        - code
        - http_status_code
        - message
        - parameters
        - unique_id
      type: object
    IndividualReportRunnerReportResponse:
      allOf:
        - $ref: '#/components/schemas/BaseReportRunnerReportResponseBase'
        - properties:
            completed_date:
              $ref: '#/components/schemas/ZonedDateTime'
            created_date:
              $ref: '#/components/schemas/ZonedDateTime'
            download_uri:
              nullable: true
              type: string
            error_code:
              nullable: true
              type: string
            executor_type:
              enum:
                - DASHBOARD
                - SPARK
                - SQL
              type: string
            format:
              enum:
                - CSV
                - HEADLESS_CSV
                - HEADLESS_PSV
                - JSON
                - JSONL
                - PSV
                - XLSX
              type: string
            formats:
              items:
                enum:
                  - CSV
                  - HEADLESS_CSV
                  - HEADLESS_PSV
                  - JSON
                  - JSONL
                  - PSV
                  - XLSX
                type: string
              type: array
            report_id:
              type: string
            scopes:
              items:
                enum:
                  - CLIENT_ADMIN
                  - CLIENT_SUPERUSER
                  - CONSUMER_PUBLIC
                type: string
              nullable: true
              type: array
              uniqueItems: true
            sftp_report_name:
              nullable: true
              type: string
            sftp_server_id:
              nullable: true
              type: string
            started_date:
              $ref: '#/components/schemas/ZonedDateTime'
            status:
              enum:
                - CANCELED
                - DONE
                - EXPIRED
                - FAILED
                - IN_PROGRESS
                - PENDING
                - PENDING_DATA
                - SFTP_DELIVERY_FAILED
              type: string
            type:
              enum:
                - EXECUTED
              type: string
            user_id:
              type: string
            visible:
              type: boolean
          type: object
      required:
        - completed_date
        - created_date
        - display_name
        - download_uri
        - error_code
        - executor_type
        - format
        - formats
        - name
        - parameters
        - report_id
        - report_type
        - scopes
        - sftp_report_name
        - sftp_server_id
        - slot
        - started_date
        - status
        - tags
        - type
        - user_id
        - visible
      type: object
      title: EXECUTED
    NewEntriesOnlyReportRunnerReportResponse:
      allOf:
        - $ref: '#/components/schemas/BaseReportRunnerReportResponseBase'
        - properties:
            completed_date:
              $ref: '#/components/schemas/ZonedDateTime'
            created_date:
              $ref: '#/components/schemas/ZonedDateTime'
            download_uri:
              nullable: true
              type: string
            error_code:
              nullable: true
              type: string
            executor_type:
              enum:
                - DASHBOARD
                - SPARK
                - SQL
              type: string
            format:
              enum:
                - CSV
                - HEADLESS_CSV
                - HEADLESS_PSV
                - JSON
                - JSONL
                - PSV
                - XLSX
              type: string
            formats:
              items:
                enum:
                  - CSV
                  - HEADLESS_CSV
                  - HEADLESS_PSV
                  - JSON
                  - JSONL
                  - PSV
                  - XLSX
                type: string
              type: array
            report_id:
              type: string
            scopes:
              items:
                enum:
                  - CLIENT_ADMIN
                  - CLIENT_SUPERUSER
                  - CONSUMER_PUBLIC
                type: string
              nullable: true
              type: array
              uniqueItems: true
            sftp_report_name:
              nullable: true
              type: string
            sftp_server_id:
              nullable: true
              type: string
            started_date:
              $ref: '#/components/schemas/ZonedDateTime'
            status:
              enum:
                - CANCELED
                - DONE
                - EXPIRED
                - FAILED
                - IN_PROGRESS
                - PENDING
                - PENDING_DATA
                - SFTP_DELIVERY_FAILED
              type: string
            type:
              enum:
                - NEW_ENTRIES
              type: string
            user_id:
              type: string
            visible:
              type: boolean
          type: object
      required:
        - completed_date
        - created_date
        - display_name
        - download_uri
        - error_code
        - executor_type
        - format
        - formats
        - name
        - parameters
        - report_id
        - report_type
        - scopes
        - sftp_report_name
        - sftp_server_id
        - slot
        - started_date
        - status
        - tags
        - type
        - user_id
        - visible
      type: object
      title: NEW_ENTRIES
    NotExecutedReportRunnerReportResponse:
      allOf:
        - $ref: '#/components/schemas/BaseReportRunnerReportResponseBase'
        - properties:
            type:
              enum:
                - NOT_EXECUTED
              type: string
      required:
        - display_name
        - name
        - parameters
        - report_type
        - slot
        - tags
        - type
      type: object
      title: NOT_EXECUTED
    AccumulatingReportRunnerReportResponse:
      allOf:
        - $ref: '#/components/schemas/BaseReportRunnerReportResponseBase'
        - properties:
            completed_date:
              $ref: '#/components/schemas/ZonedDateTime'
            created_date:
              $ref: '#/components/schemas/ZonedDateTime'
            download_uri:
              nullable: true
              type: string
            error_code:
              nullable: true
              type: string
            executor_type:
              enum:
                - DASHBOARD
                - SPARK
                - SQL
              type: string
            format:
              enum:
                - CSV
                - HEADLESS_CSV
                - HEADLESS_PSV
                - JSON
                - JSONL
                - PSV
                - XLSX
              type: string
            formats:
              items:
                enum:
                  - CSV
                  - HEADLESS_CSV
                  - HEADLESS_PSV
                  - JSON
                  - JSONL
                  - PSV
                  - XLSX
                type: string
              type: array
            report_id:
              type: string
            scopes:
              items:
                enum:
                  - CLIENT_ADMIN
                  - CLIENT_SUPERUSER
                  - CONSUMER_PUBLIC
                type: string
              nullable: true
              type: array
              uniqueItems: true
            sftp_report_name:
              nullable: true
              type: string
            sftp_server_id:
              nullable: true
              type: string
            started_date:
              $ref: '#/components/schemas/ZonedDateTime'
            status:
              enum:
                - CANCELED
                - DONE
                - EXPIRED
                - FAILED
                - IN_PROGRESS
                - PENDING
                - PENDING_DATA
                - SFTP_DELIVERY_FAILED
              type: string
            type:
              enum:
                - ROLLING
              type: string
            user_id:
              type: string
            visible:
              type: boolean
          type: object
      required:
        - completed_date
        - created_date
        - display_name
        - download_uri
        - error_code
        - executor_type
        - format
        - formats
        - name
        - parameters
        - report_id
        - report_type
        - scopes
        - sftp_report_name
        - sftp_server_id
        - slot
        - started_date
        - status
        - tags
        - type
        - user_id
        - visible
      type: object
      title: ROLLING
    BaseReportRunnerReportResponseBase:
      properties:
        display_name:
          type: string
        name:
          type: string
        parameters:
          additionalProperties:
            $ref: '#/components/schemas/ReportParameterResponse'
          type: object
        report_type:
          type: string
        slot:
          type: string
        tags:
          items:
            type: string
          type: array
          uniqueItems: true
        type:
          type: string
      type: object
    ZonedDateTime:
      description: >-
        [RFC 3339](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) or
        [RFC 9557](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        date-time with a numeric [UTC
        offset](https://datatracker.ietf.org/doc/html/rfc3339#section-5.6) and
        an optional [IANA
        time-zone](https://datatracker.ietf.org/doc/html/rfc9557#section-4)
        suffix in square brackets. Precision up to milliseconds.
      example: '2025-10-24T02:00:00-07:00'
      pattern: >-
        ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
      type: string
    ReportParameterResponse:
      properties:
        details:
          $ref: '#/components/schemas/ReportParameterDetailsResponse'
        value:
          type: string
      type: object
    ReportParameterDetailsResponse:
      properties:
        category:
          nullable: true
          type: string
        display_name:
          type: string
        is_required:
          type: boolean
        name:
          type: string
        order:
          format: int32
          type: integer
        type:
          $ref: '#/components/schemas/ReportParameterTypeResponse'
      type: object
    ReportParameterTypeResponse:
      properties:
        name:
          enum:
            - AUDIENCE_ID
            - AUDIENCE_IDS
            - AUDIENCE_MEMBERSHIPS_METRIC_MAPPING
            - AUDIENCE_MEMBERSHIPS_ROW_MAPPINGS
            - AUDIENCE_MEMBERS_ROW_MAPPINGS
            - BOOLEAN
            - CAMPAIGN_ID
            - CAMPAIGN_IDS
            - CHANNEL_MAPPING
            - CLIENT_EVENT_METRIC_MAPPINGS
            - CLIENT_ID
            - CLIENT_IDS
            - DATE
            - DATE_RANGE
            - DECIMAL
            - EMAIL_NAMES
            - ENUM
            - ENUM_LIST
            - EQUALITY
            - FILTER_MAPPINGS
            - FLOWS
            - FLOW_FILTER
            - GRANULAR_TIME_RANGE
            - ID
            - IDS
            - INPUT_RECORD_METRIC_MAPPING
            - INPUT_RECORD_ROW_MAPPINGS
            - INTEGER
            - LONG
            - MESSAGE_SUMMARY_METRIC_MAPPINGS
            - METRIC_MAPPINGS
            - MODEL_CONFIGURATION_METRIC_MAPPING
            - NORMALIZED_EMAIL
            - NOT_ARCHIVED_CAMPAIGN_ID
            - PERSON_DIMENSION_MAPPINGS
            - PERSON_MAPPINGS
            - PROGRAM_LABEL
            - PROGRAM_LABELS
            - REGEX
            - REWARD_EVENT_METRIC_MAPPINGS
            - REWARD_ROW_MAPPINGS
            - REWARD_SUPPLIER_DISPLAY_TYPES
            - REWARD_SUPPLIER_IDS
            - REWARD_SUPPLIER_TYPES
            - ROW_MAPPINGS
            - SORT_ORDER_MAPPINGS
            - SORT_ORDER_MAPPINGS_ON_STEPS
            - STEP
            - STEPS
            - STEP_COLUMN_LIST
            - STRING
            - STRING_LIST
            - TIERS
            - TIME
            - TIME_RANGE
            - WEBHOOK_DISPATCH_METRIC_MAPPING
            - WEBHOOK_DISPATCH_ROW_MAPPINGS
            - WEBHOOK_METRIC_MAPPING
            - WEBHOOK_ROW_MAPPINGS
          type: string
        value_type:
          enum:
            - DYNAMIC
            - STATIC
          nullable: true
          type: string
        values:
          items:
            type: string
          nullable: true
          type: array
          uniqueItems: true
      type: object
  examples:
    binding_error:
      summary: binding_error
      value:
        code: binding_error
        http_status_code: 400
        message: Argument is not of the expected type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_json:
      summary: invalid_json
      value:
        code: invalid_json
        http_status_code: 400
        message: JSON is invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    invalid_parameter:
      summary: invalid_parameter
      value:
        code: invalid_parameter
        http_status_code: 400
        message: Parameter is invalid.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_request_body:
      summary: missing_request_body
      value:
        code: missing_request_body
        http_status_code: 400
        message: Missing request body
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_display_name_empty:
      summary: report_display_name_empty
      value:
        code: report_display_name_empty
        http_status_code: 400
        message: Report display name is empty
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_display_name_too_long:
      summary: report_display_name_too_long
      value:
        code: report_display_name_too_long
        http_status_code: 400
        message: Report display name is too long
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_invalid_formats:
      summary: report_invalid_formats
      value:
        code: report_invalid_formats
        http_status_code: 400
        message: Report formats not supported
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_invalid_operation:
      summary: report_invalid_operation
      value:
        code: report_invalid_operation
        http_status_code: 400
        message: Current report state doesn't allow the specified operation
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_invalid_parameter:
      summary: report_invalid_parameter
      value:
        code: report_invalid_parameter
        http_status_code: 400
        message: Report parameter(s) of invalid format
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_invalid_scopes:
      summary: report_invalid_scopes
      value:
        code: report_invalid_scopes
        http_status_code: 400
        message: Report scopes invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_invalid_sftp_server:
      summary: report_invalid_sftp_server
      value:
        code: report_invalid_sftp_server
        http_status_code: 400
        message: Invalid SFTP server
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_missing_aggregation_parameter:
      summary: report_missing_aggregation_parameter
      value:
        code: report_missing_aggregation_parameter
        http_status_code: 400
        message: Report must have at least one aggregating function
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_missing_parameters:
      summary: report_missing_parameters
      value:
        code: report_missing_parameters
        http_status_code: 400
        message: Report is missing parameters
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_name_illegal_character:
      summary: report_name_illegal_character
      value:
        code: report_name_illegal_character
        http_status_code: 400
        message: >-
          Report name can only contain alphanumeric, space, dash, parenthesis,
          slash, colon, comma, period, underscore, dollar and percentage
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_runner_invalid_parameter:
      summary: report_runner_invalid_parameter
      value:
        code: report_runner_invalid_parameter
        http_status_code: 400
        message: Report runner parameter(s) of invalid format
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_runner_invalid_slot:
      summary: report_runner_invalid_slot
      value:
        code: report_runner_invalid_slot
        http_status_code: 400
        message: Report runner slot of invalid format
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_runner_no_execution_time_range:
      summary: report_runner_no_execution_time_range
      value:
        code: report_runner_no_execution_time_range
        http_status_code: 400
        message: Report runner has no valid execution time ranges to run
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_runner_paused:
      summary: report_runner_paused
      value:
        code: report_runner_paused
        http_status_code: 400
        message: Report runner is paused
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_runner_slots_not_supported:
      summary: report_runner_slots_not_supported
      value:
        code: report_runner_slots_not_supported
        http_status_code: 400
        message: Report runner slots is not supported
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_tags_too_long:
      summary: report_tags_too_long
      value:
        code: report_tags_too_long
        http_status_code: 400
        message: Tags are too long
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_type_missing:
      summary: report_type_missing
      value:
        code: report_type_missing
        http_status_code: 400
        message: Report type is missing
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    report_update_invalid:
      summary: report_update_invalid
      value:
        code: report_update_invalid
        http_status_code: 400
        message: Report update invalid
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    method_unauthorized:
      summary: method_unauthorized
      value:
        code: method_unauthorized
        http_status_code: 401
        message: Unauthorized access to this endpoint
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    payment_required:
      summary: payment_required
      value:
        code: payment_required
        http_status_code: 402
        message: The access_token provided is associated with an unpaid account.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    access_denied:
      summary: access_denied
      value:
        code: access_denied
        http_status_code: 403
        message: >-
          The access_token provided is not permitted to access the specified
          resource.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    missing_access_token:
      summary: missing_access_token
      value:
        code: missing_access_token
        http_status_code: 403
        message: No access_token was provided with this request.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    unsupported_media_type:
      summary: unsupported_media_type
      value:
        code: unsupported_media_type
        http_status_code: 415
        message: Request had an unsupported or no media type
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
    too_many_requests:
      summary: too_many_requests
      value:
        code: too_many_requests
        http_status_code: 429
        message: >-
          The server is unable to process your request at the moment, please
          retry later.
        parameters: {}
        unique_id: 00000000-0000-0000-0000-000000000000
  securitySchemes:
    HEADER:
      in: header
      name: Authorization
      type: apiKey
      x-bearer-format: bearer
    QUERY:
      in: query
      name: access_token
      type: apiKey
    COOKIE:
      in: cookie
      name: extole_token
      type: apiKey

````